Subject: Errata for RFC 2426

From: "Javier Godoy" <[email-masked]>
Date: Sun, 18 Mar 2007 03:12:36 -0300

RFC-editors, 

I believe there is an errata in vCard Formal Grammar. The intended meaning can be inferred from the protocol specification, as explained at bottom.

Sincerly 

Roberto Javier Godoy

-------------------------------------------------------------
Errata for RFC 2426

Section 4 (p. 32) says

 ;For name="AGENT"
   param        = agent-inline-param

   param        =/ agent-refer-param

   value        = agent-inline-value
        ; Value and parameter MUST match

   value        =/ agent-refer-value
        ; Value and parameter MUST match

   agent-inline-param = ""
        ; No parameters allowed

   agent-refer-param = "VALUE" "=" "uri"
        ; Only value parameter allowed

   agent-inline-value = text-value
        ; Value MUST be a valid vCard object

   agent-refer-value = uri
        ; URI MUST refer to image content of given type

It should say:

 ;For name="AGENT"
   param        = agent-inline-param

   param        =/ agent-refer-param

   value        = agent-inline-value
        ; Value and parameter MUST match

   value        =/ agent-refer-value
        ; Value and parameter MUST match

   agent-inline-param = ""
        ; No parameters allowed

   agent-refer-param = "VALUE" "=" "uri"
        ; Only value parameter allowed

   agent-inline-value = text-value
        ; Value MUST be a valid vCard object

   agent-refer-value = uri
        ; URI MUST refer a valid vCard object

Rationale: 
- Presumably, the comment from img-refer-value was copied, but it was not modified.
- The correction is consistent with comment for agent-inline-value.
- The purpose of AGENT type is "To specify information about another person who will act on behalf of the individual or resource associated with the vCard." (Section 3.5.4)